Package org.apache.sis.metadata.iso.lineage

# Class DefaultProcessStepReport

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
DefaultProcessStepReport

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`, `ProcessStepReport`

@TitleProperty(name="name") public class DefaultProcessStepReport extends ISOMetadata implements ProcessStepReport
Report of what occurred during the process step. The following property is mandatory in a well-formed metadata according ISO 19115:
`LE_ProcessStepReport` `└─name………………………………` Name of the processing report.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  0.3
See Also:
  - Serialized Form

Defined in the `sis-metadata` module

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultProcessStepReport()`
  Constructs an initially empty process step report.
  `DefaultProcessStepReport(ProcessStepReport object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DefaultProcessStepReport`
  `castOrCopy(ProcessStepReport object)`
  Returns a SIS metadata implementation with the values of the given arbitrary implementation.
  `InternationalString`
  `getDescription()`
  Returns the textual description of what occurred during the process step.
  `InternationalString`
  `getFileType()`
  Returns the type of file that contains the processing report.
  `InternationalString`
  `getName()`
  Returns the name of the processing report.
  `void`
  `setDescription(InternationalString newValue)`
  Sets the textual description of what occurred during the process step.
  `void`
  `setFileType(InternationalString newValue)`
  Sets the type of file that contains the processing report.
  `void`
  `setName(InternationalString newValue)`
  Sets the name of the processing report.

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, getStandard, setIdentifier, transitionTo`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultProcessStepReport

    public DefaultProcessStepReport()
    Constructs an initially empty process step report.

  - ### DefaultProcessStepReport

    public DefaultProcessStepReport(ProcessStepReport object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.
    See Also:
      - `castOrCopy(ProcessStepReport)`

- ## Method Details

  - ### castOrCopy

    public static DefaultProcessStepReport castOrCopy(ProcessStepReport object)
    Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
    - If the given object is `null`, then this method returns `null`.
    - Otherwise if the given object is already an instance of `DefaultProcessStepReport`, then it is returned unchanged.
    - Otherwise a new `DefaultProcessStepReport` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the object to get as a SIS implementation, or `null` if none.
    Returns:
      a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

  - ### getName

    public InternationalString getName()
    Returns the name of the processing report.
    Specified by:
      `getName` in interface `ProcessStepReport`
    Returns:
      name of the processing report, or `null`.

  - ### setName

    public void setName(InternationalString newValue)
    Sets the name of the processing report.
    Parameters:
      `newValue` - the new name value.

  - ### getDescription

    public InternationalString getDescription()
    Returns the textual description of what occurred during the process step.
    Specified by:
      `getDescription` in interface `ProcessStepReport`
    Returns:
      what occurred during the process step, or `null`.

  - ### setDescription

    public void setDescription(InternationalString newValue)
    Sets the textual description of what occurred during the process step.
    Parameters:
      `newValue` - the new description value.

  - ### getFileType

    public InternationalString getFileType()
    Returns the type of file that contains the processing report.
    Specified by:
      `getFileType` in interface `ProcessStepReport`
    Returns:
      type of file that contains the processing report, or `null`.

  - ### setFileType

    public void setFileType(InternationalString newValue)
    Sets the type of file that contains the processing report.
    Parameters:
      `newValue` - the new file type value.